using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace Models.Models.LOGDB
{
    /// <summary>
    /// RLS 活动日志
    /// </summary>
    [Table("TBL_RLS_ACTIVE_LOG"), Comment("RLS 活动日志")]
    public class TBL_RLS_ACTIVE_LOG
    {
        /// <summary>
        /// 自增id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }



        /// <summary>
        /// 生产者根据时间精确到mS生产ID  
        /// </summary>
        [ Column(TypeName = "nvarchar(100)"), Comment("生产者根据时间精确到mS生产ID ")]
        public string ACTIVE_ID { get; set; }

        /// <summary>
        /// 时间（精确到mS）
        /// </summary>

        [Required, Column(TypeName = "datetime"), Comment("时间（精确到mS）")]

        public DateTime DATETIME { get; set; }




        /// <summary>
        /// 分类
        /// </summary>
        [ Column(TypeName = "int"), Comment("分类")]
        public int TYPE { get; set; }


        /// <summary>
        /// 事件
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("事件")]
        public string EVENT { get; set; }


        /// <summary>
        /// 详细描述
        /// </summary>
        [ Column(TypeName = "nvarchar(100)"), Comment("详细描述")]
        public string DESCRIPTION { get; set; }


        /// <summary>
        /// 关联TCP_ID
        /// </summary>
        [Column(TypeName = "int"), Comment("关联TCP_ID  ")]
        public int TCP_ID { get; set; }


        /// <summary>
        /// 关联UDP_ID
        /// </summary>
        [Column(TypeName = "int"), Comment("关联UDP_ID")]
        public int UDP_ID { get; set; }

        /// <summary>
        /// 关联MSG_ID
        /// </summary>
        [ Column(TypeName = "int"), Comment("关联MSG_ID")]
        public int MSG_ID { get; set; }


         

        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }

    }
}
